Subject: bug#65344: 28.2; Unable to Edebug cl-flet form which uses argument destructuring

From: Gerd Möllmann <[email-masked]>
Date: Sun, 20 Aug 2023 08:48:31 +0200

On 20.08.23 08:08, Michael Heerdegen wrote:

>> I also checked now what's up with functions whose name is (setf ...),
>> which is valid CL.  That's not supported in ELisp, it seems, so I
>> [...]
> 
> Eh - aren't such names used by "gv.el"?

AFAIU, and I'm pretty sure pf that, Gv stores setter function in a 
symbol property of the getter function name.  So, there is no need for 
more generalized function names.

That's probably more ecomical than extending function names to allow 
something like (setf ...).

(Although, I must say, adding generalized function names to CNUCL, in 
addition to (setf ...), and as a more meaningful replacement for 
gensyms, proved quite helpful to me for things like CLOS method 
functions, discriminating function etc.  Just planting an idea :-)).